Deactivate DSP VAST Tag
This endpoint deactivates DSP VAST Tag.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/ortb/dspvasttag/deactivate| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | DSP VAST Tag ID. | required |
{ "DspRtbEp": { "Id": 1 }}Response
Section titled “Response”{ "Status": "Ok", "DspRtbEp": { "Id": 1, "TeamId": 1, "AdvertiserId": 1, "AdvertiserName": "Advertiser", "Name": "DSP VAST Tag 1", "Tags": [ 1 ], "ZoneUrlUsEast": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "ZoneUrlEu": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "ZoneUrlApac": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "StatsApi": "", "StatsDashboardUrl": "", "FixedCpm": 1.0, "MaxQps": 0, "AutoOptimize": 1, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "RevenueDailyLimit": 0.0, "WebEnabled": 1, "AppEnabled": 1, "MaxBidfloor": 0.8, "MinTmax": 350, "MaxIvt": 50.0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "AppsListMode": 0, "AppsList": [ 1 ], "SizesListMode": 1, "SizesList": [ "300x250", "320x480" ], "PubIdListMode": 0, "PubIdList": "", "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "CheckAppStore": 0, "IabCategories": [ "IAB1-1", "IAB2-1", "IAB3" ], "Countries": [ { "CC": "US", "Country": "United States" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "VastTags": [ 1 ], "RtbEps": [ 1 ], "AvgRequestTimeMs": 55, "Qps": 422, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 1, "StatusString": "Inactive" }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Error Code | Meaning |
|---|---|
| 400 | Bad Request — You sent a body that isn’t JSON. |
| 401 | Unauthorized — Your access token is invalid. |
| 406 | Not Acceptable — Some value(s) inside JSON are missing or malformed, or requested object is not found. |
| 500 | Internal Server Error — We had a problem with our server. Try again later. |